This package was debianized by Sylvestre Ledru <sylvestre.ledru@inria.fr> on
Tue, 07 Apr 2009 20:18:38 +0200.

It was downloaded from <http://labs.ohloh.net/ohcount/>

Upstream Author:

    Ohloh <info@ohloh.net>

Copyright:

    Copyright (C) 2007-2009 Ohloh

License:

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

The full text of the license can be found in
`/usr/share/common-licenses/GPL-2'.

The Debian packaging is (C) 2009, Sylvestre Ledru <sylvestre.ledru@inria.fr> and
is licensed under the GPL, see `/usr/share/common-licenses/GPL'.

ohcount incorporates some piece of code in order to test during build time 
its capabilities. These files are not included in the binary.


Files: test/expected_dir/haxe1.hx  test/src_dir/haxe1.hx

Copyright:
		Thomas Pfeiffer - kiroukou
		Niel Drummond

License:
    Copyright the original author or authors.
    Licensed under the MOZILLA PUBLIC LICENSE, Version 1.1 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at
	http://www.mozilla.org/MPL/MPL-1.1.html
    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

Files: test/src_dir/pascal2.pp test/expected_dir/pascal2.pp

Copyright:
		Simon Steele 1998-2000

License:
    BSD
    Redistribution and use in source and binary forms, with or without 
    modification, are permitted provided that the following conditions are
    met:

    * Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the distribution.
    * Neither the name of the <ORGANIZATION> nor the names of its
    contributors may be used to endorse or promote products derived from
    this software without specific prior written permission.

Files: test/src_dir/js1.js test/expected_dir/js1.js

Copyright: 
    2005-2008 Sam Stephenson

License:
    MIT

    Permission is hereby granted, free of charge, to any person obtaining a copy
    of this software and associated documentation files (the "Software"), to deal
    in the Software without restriction, including without limitation the rights
    to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
    copies of the Software, and to permit persons to whom the Software is
    furnished to do so, subject to the following conditions:

    THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
    IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
    FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
    AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
    LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
    OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
    SOFTWARE.


Files: test/src_dir/foo.ebuild test/detect_files/foo.ebuild

License: 
		GPL-2

Files: test/src_dir/as1.as test/expected_dir/as1.as

Copyright:
		Sean Chatman and Garrett Woodworth 2008

License:
		MIT

Files: test/src_dir/perl_module.pm test/expected_dir/perl_module.pm

Copyright: 
		Audrey Tang 2003-2007

License: 
    This program is free software; you can redistribute it and/or modify it
    under the same terms as Perl itself.

    a) the GNU General Public License as published by the Free Software
       Foundation; either version 1, or (at your option) any later
       version, or

    b) the "Artistic License" which comes with Perl.

    On Debian GNU/Linux systems, the complete text of the GNU General
    Public License can be found in `/usr/share/common-licenses/GPL' and
    the Artistic Licence in `/usr/share/common-licenses/Artistic'.
